Subject: bug#51340: 27.2; Bad indentation and fontification of advice functions

From: Stefan Kangas <[email-masked]>
Date: Fri, 22 Oct 2021 17:15:52 -0700

Drew Adams <[email-masked]> writes:

> 1. Please consider indenting functions such as `advice-add' and
>    `add-function' properly.  They should probably be indented the way
>    function definitions (defuns) are.  So far, they're indented with no
>    attention to what they're for or what their content is (e.g. use of
>    keywords).

Do you have an example of the current indentation, and the one you would
like to see?  Thanks.

> 2. Please consider fontifying functions such as `advice-add', the same
>    as functions such as `add-function': `fontlock-keyword-face'.

Sounds good to me.